## kernel-patch-2.0.33-m68k 2.0.33-7

=== debian/changelog ===
kernel-patch-2.0.33-m68k (2.0.33-7) frozen unstable; urgency=high

  * Really fix top level kernel Makefile so that the output of uname -r is
    sane; again reported by Frank Neumann
    <Frank.Neumann@Informatik.Uni-Oldenburg.DE>.
  * m68k-kernel-images-maintainer/default_amiga_config: enable
    CONFIG_USERIAL so that the Amiga serial driver module works.  Reported
    by Frank Neumann <Frank.Neumann@Informatik.Uni-Oldenburg.DE>.

 -- James Troup <james@nocrew.org>  Thu, 16 Jul 1998 16:58:09 +0100

kernel-patch-2.0.33-m68k (2.0.33-6) frozen unstable; urgency=high

  * 2.0.33pl1.diff.gz: Fix so we apply cleanly to kernel-source-2.0.33
    (>= 2.0.33-9).
  * m68k-kernel-images-maintainer/exclude-list: exclusion list used for
    diffing kernel source trees.
  * debian/copyright: update.
  * debian/control (Maintainer): new address.
  * debian/control (Standards-Version): correct.
  * debian/control: depend on kernel-source-2.0.33 (>= 2.0.33-10) so as 
    to get the SIGIO security fix.
  * debian/rules (binary-arch): move dpkg-distaddfile calls to here as
    kernel images are architecture specific. 
  * README: update.
  * Fixed top level kernel Makefile so that the output of uname -r is
    sane.  Reported by Frank Neumann
    <Frank.Neumann@Informatik.Uni-Oldenburg.DE>.
  * Applied patch from Hans-Joachim Widmaier <hjwidmai@foxboro.com> to
    update the affs code.
  * Applied patch from Michael Schmitz <schmitz@lcbvax.cchem.berkeley.edu>
    to enable interrupts before bottom half processing.
  * Applied patch from Michael Schmitz <schmitz@lcbvax.cchem.berkeley.edu>
    to make IDE-enabled kernels work with IDE-less Atari's.

 -- James Troup <james@nocrew.org>  Wed, 15 Jul 1998 17:14:45 +0100

kernel-patch-2.0.33-m68k (2.0.33-5) frozen unstable; urgency=high

  * Reverse 2.0.33 native diff and apply 2.0.33pl1.  2.0.33pl1 is an important
    upstream bugfix release (Jes doesn't create a patch level lightly).
  * kernel-images built with (patched) kernel source 2.0.33-7 to pick up
    IP fragmentation patch.
  * debian/copyright: update to reflect changes in patches applied.
  * README: ditto.
  * apply_me: update to reflect patch's new name.
  * unapply_me: ditto.
  * debian/rules: ditto.
  * debian/copyright: credit our fearless leader.
  * debian/control: depend on kernel-source >= 2.0.33-7 a) to ensure
    people use a kernel with the IP fragmentation bug patch, and b) the
    patch won't apply cleanly to << 2.0.33-5 because of the FAT32 patch.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Sat, 18 Apr 1998 17:21:34 +0200

kernel-patch-2.0.33-m68k (2.0.33-4) frozen unstable; urgency=high

  * debian/control: relax dependency on kernel-source, as the patch applied
    cleanly to 2.0.33-[4-6].  This isn't ideal but it's better than having
    to upload a new kernel-patch*m68k for every new kernel-source.  
  * Ensure CONFIG_MSDOS_FS is Y and not M for both amiga and atari kernel
    images.  Somehow it wasn't in 2.0.33-3.
  * debian/control (Standards-Version): updated to 2.4.0.1.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Thu, 16 Apr 1998 18:32:47 +0200

kernel-patch-2.0.33-m68k (2.0.33-3) unstable; urgency=high

  * Additional patch:
      o clgen update.  
  * Previous revision appears to have lacked the patches from revision 1;
    reapplied.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed, 11 Mar 1998 16:59:15 +0100

kernel-patch-2.0.33-m68k (2.0.33-2) unstable; urgency=low

  * Addtional patch: 
      o HFS and Mac partition support.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Tue, 17 Feb 1998 21:46:42 +0100

kernel-patch-2.0.33-m68k (2.0.33-1) unstable; urgency=low

  * Initial version.
  * Additional patches: 
      o Geert's fbmem patch required to for X to work.
      o Andreas' PROT_NONE patch to make Electric Fence work.
  
 -- James Troup <jjtroup@comp.brad.ac.uk>  Sun,  8 Feb 1998 15:11:15 +0100

Local variables:
mode: debian-changelog
End:
