=== debian/control ===
Source: kernel-patch-2.0.33-m68k
Section: devel
Priority: optional
Maintainer: James Troup <james@nocrew.org>
Standards-Version: 2.4.1.0

Package: kernel-patch-2.0.33-m68k
Architecture: all
Depends: kernel-source-2.0.33 (>= 2.0.33-10)
Description: Diffs to the kernel source for Linux/m68k
 Unfortunately in Linux 2.0.xx, the different architectures have
 divergent source trees.  This is the diff to patch the native (i386)
 source to the latest (2.0.33pl1) m68k tree.  If you don't have an
 m68k machine you don't need it.

Package: kernel-headers-2.0.33
Architecture: any
Section: devel
Priority: optional
Provides: kernel-headers
Description: Header files related to a specific Linux kernel.
 This package provides kernel header files, for sites that want the latest
 kernel headers, and some of these are also needed by libc6-dev. 
 Please read /usr/doc/kernel-headers-2.0.33/debian.README.gz for details

Package: kernel-image-2.0.33-atari
Architecture: m68k
Section: base
Priority: optional
Provides: kernel-image
Suggests:  fdutils, kernel-doc-2.0.33
Description: Linux kernel binary image.
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 

Package: kernel-image-2.0.33-amiga
Architecture: m68k
Section: base
Priority: optional
Provides: kernel-image
Suggests:  fdutils, kernel-doc-2.0.33
Description: Linux kernel binary image.
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional.
